HanMacWrdJGraphInternal::TableFrame Struct Referencefinal

Internal: the table frame of a HanMacWrdJGraph. More...

Inheritance diagram for HanMacWrdJGraphInternal::TableFrame:

## Public Member Functions

| TableFrame (Frame const &orig)
| constructor
| ~TableFrame () final
| destructor
bool | valid () const final
| returns true if the frame data are read
std::string | print () const
| print local data
Public Member Functions inherited from HanMacWrdJGraphInternal::Frame
| Frame ()
| constructor
| Frame (Frame const &)=default
virtual | ~Frame ()
| destructor
MWAWBox2f | getBdBox () const
| return the frame bdbox

## Public Attributes

long | m_zId
| the textzone id
double | m_width
| the zone width
long | m_length
| related to text length?
std::shared_ptr< Table > | m_table
| the table
Public Attributes inherited from HanMacWrdJGraphInternal::Frame
int | m_type
| the graph type
long | m_fileId
| the file id
int | m_id
| the local id
int | m_formatId
| the format id
int | m_page
| the page
MWAWBox2f | m_pos
| the position
float | m_baseline
| the baseline
bool | m_inGroup
| true if this node is a group's child
bool | m_parsed
| true if we have send the data
std::string | m_extra
| an extra string

## Detailed Description

Internal: the table frame of a HanMacWrdJGraph.

## Constructor & Destructor Documentation

## TableFrame()

HanMacWrdJGraphInternal::TableFrame::TableFrame | ( | Frame const & | orig | ) |

inline explicit

constructor

## ~TableFrame()

HanMacWrdJGraphInternal::TableFrame::~TableFrame | ( |  | ) |

final

destructor

## Member Function Documentation

## print()

std::string HanMacWrdJGraphInternal::TableFrame::print | ( |  | ) | const

inline

print local data

## valid()

bool HanMacWrdJGraphInternal::TableFrame::valid | ( |  | ) | const

inline final virtual

returns true if the frame data are read

Reimplemented from HanMacWrdJGraphInternal::Frame.

Referenced by valid().

## Member Data Documentation

## m_length

long HanMacWrdJGraphInternal::TableFrame::m_length

related to text length?

Referenced by print(), and TableFrame().

## m_table

std::shared_ptr<Table> HanMacWrdJGraphInternal::TableFrame::m_table

the table

Referenced by HanMacWrdJGraph::readTable(), HanMacWrdJGraph::sendFrame(), HanMacWrdJGraph::sendTableUnformatted(), and TableFrame().

## m_width

double HanMacWrdJGraphInternal::TableFrame::m_width

the zone width

Referenced by print(), and TableFrame().

## m_zId

long HanMacWrdJGraphInternal::TableFrame::m_zId

the textzone id

Referenced by HanMacWrdJGraph::getTextFrameInformations(), print(), and TableFrame().

The documentation for this struct was generated from the following file:

- HanMacWrdJGraph.cxx